package Source::Package::RPM::ALTNoEpoch;

use strict;
use warnings;
use RPM::Header;
use Source::Package::RPM;
our @ISA=qw/Source::Package::RPM/;

our $VERSION=0.001;

use Source::Package::Comparators;
sub get_raw_epoch_comparator {
    return \&Source::Package::Comparators::null_epoch_comparator;
}

sub is_pkg {
   my (undef,$item)=@_;
   return if not (defined $item and -e $item and not -d $item);
   return $item=~/\.(?:tar|src\.rpm)$/;
}

sub file2pkg {
    my ($self,$file)=@_;
    if ($file=~m!(?:^|/)([^/]+)-([^-/]+)-([^-/]+)\.(?:tar|src\.rpm)$!) {
	return $self->new(
	    -name => $1,
	    -version => $2,
	    -release => $3,
	    -file => $file,
	    );
    }
    die "file2pkg: strange rpm/hashertar file: ",$file;
}

sub url2pkg {
    my ($self,$url,$cachedir)=@_;
    # note; epoch can't be guessed, but best to be paired with web listing
    if ($url=~m!(?:^|/)([^/]+)-([^-/]+)-([^-/]+)\.(?:tar|src\.rpm)(?:$|\?)!) {
	return $self->new(
	    -name => $1,
	    -version => $2,
	    -release => $3,
	    -url => $url,
	    );
    } else {
	die "url2pkg(no_download): strange rpm url: $url";
    }
}

1;
